/* ============================================
   Regras Gerais e Reset (já enviadas por você)
============================================ */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

html, body {
  width: 100%;
  height: 100%;
  overflow-x: hidden; /* Impede rolagem horizontal */
}

/* Estilos para o tema escuro */
html[data-theme="dark"] .light {
  background-color: #000;
}

html[data-theme="dark"] .inverted {
  background-color: #000;
}

html[data-theme="dark"] .containerA {
  background-color: #000;
}

.containerA {
  margin-left: 0.1em;
  margin-right: 0.1rem;
  margin-bottom: 0rem;
  margin-top: 0.3rem;
  max-width: 100%;
  text-align: center;
  overflow-x: hidden; /* Esconde qualquer conteúdo que ultrapasse a largura da tela */
  box-sizing: border-box;
}

.h1Geral {
  color: #892f2d;
  font-size: 2.7vw; /* Tamanho de fonte responsivo */
  font-weight: bold;
  background-color: rgba(243, 241, 229, 0.8);
  font-family: 'Inter', sans-serif;/* Fonte personalizada */
  padding: 2rem;
  text-align: center;
}

.imageA {
  width: 90%; 
  height: auto;
}

/* Estilo base para o container principal */
.section {
  position: relative; /* Permite posicionar elementos dentro do container */
  display: flex; /* Usa flexbox para alinhar o texto */
  align-items: center; /* Centraliza verticalmente */
  justify-content: space-between; /* Espaço entre os elementos */
  padding: 2rem;
  background-color: rgba(243, 241, 229, 0.9); /* Cor de fundo */
  overflow: hidden
}

/* Estilo para a imagem de fundo */
.backgroundImage {
  position: absolute; /* Posiciona a imagem no fundo */
  top: 0;
  width: 50%; /* Largura da imagem */
  height: 100%; /* Altura total do container */
  overflow: hidden;
  z-index: -1; /* Garante que a imagem fique atrás do conteúdo */
}

.backgroundImage img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ajusta a imagem sem distorção */
  opacity: 0.3; /* Controla a transparência */
}


.left {
  left: 0; /* Posiciona a imagem à esquerda */
}

.right {
  right: 0; /* Posiciona a imagem à direita */
}

/* Estilo base para a pequena imagem */
.smallImage {
  width: 3rem; /* Tamanho fixo */
  height: auto; /* Mantém a proporção */
  margin-bottom: 1rem; /* Espaçamento abaixo da imagem */
  display: block; /* Garante que a imagem seja tratada como um bloco */
}

/* Imagem alinhada à esquerda */
.smallImageLeft {
  margin-left: 0;
  margin-right: auto; /* Alinha à esquerda */
}

/* Imagem alinhada à direita */
.smallImageRight {
  margin-left: auto; /* Alinha à direita */
  margin-right: 0;
}

/* Imagem centralizada */
.smallImageCenter {
  margin-left: auto;
  margin-right: auto; /* Centraliza horizontalmente */
}

/* Estilo para o container de texto */
.textContainer {
  flex: 1; /* Ocupa o espaço disponível */
  max-width: 70%; /* Limita a largura do texto */
  margin-left: 2rem; /* Espaçamento padrão */
  margin-right: 2rem;
  text-align: justify; /* Justifica o texto */
  font-family: 'Inter', sans-serif; /* Fonte personalizada */
}

/* Estilo para o título */
.title {
  font-size: 2rem;
  color: #892f2d;
  text-align: justify; /* Justifica o título */
}

/* Texto quando a imagem está à direita */
.textContainer.right {
  margin-top: 3%;
  margin-left: 30%; 
  margin-right: 0%; /* Move o texto para a direita */
}

/* Texto quando a imagem está à esquerda */
.textContainer.left {
  margin-left: 5%;
  margin-right: 1%; /* Move o texto para a esquerda */
}

/* Estilo para o container da imagem lateral */
.sideImageContainer {
  position: absolute;
  z-index: 5; /* Garante que a imagem fique atrás do conteúdo */
  width: 15%; /* Ocupa 30% da largura do container */
  display: flex; /* Usa flexbox para alinhar a imagem */
  align-items: center; /* Centraliza verticalmente */
  justify-content: center; /* Centraliza horizontalmente */
}

/* Estilo para a imagem lateral */
.sideImage {
  position: absolute;
  width: 100%; /* Ocupa toda a largura do container */
  height: auto; /* Mantém a proporção */
  object-fit: cover; /* Ajusta a imagem sem distorção */
}

.rightsideImage{
  
  transform: translate(35%); /* Centraliza o SVG */
}

.leftsideImage{
  transform: translateX(-35%); /* Move a imagem para a esquerda, mostrando apenas metade */
  
}

@media (max-width: 768px) {
  .backgroundImage {
    width: 100%; /* Imagem ocupa toda a largura em telas pequenas */
    height: auto;
  }
  .textContainer {
    max-width: 100%; /* Texto ocupa toda a largura */
  }
}